<template>
  <svn-navbar
    class="w-screen h-[62px] px-4 sm:!px-[100px] sm:!py-0 sm:h-[73px] flex items-center border-b sm:border-0"
    :user-avatar="userAvatar"
  >
    <template #left-content>
      <div class="flex items-center gap-6">
        <div class="hidden sm:flex gap-2 text-xl font-medium">
          <div
            :style="{'background-image': `url('${companyLogo}')`}"
            class="w-[51px] h-8 bg-cover bg-center"
          />
        </div>
        <div class="flex sm:hidden">
          <svn-navbar-menu
            variant="modal"
            :items="items"
          />
        </div>
        <div class="hidden sm:flex md:hidden">
          <svn-navbar-menu
            variant="select"
            :items="items"
          />
        </div>
        <div class="hidden md:flex">
          <svn-navbar-menu
            variant="navbar"
            :items="items"
          />
        </div>
      </div>
    </template>
    <template #right-content>
      <div class="flex items-center gap-4 sm:gap-5">
        <svn-avatar
          class="h-10 w-10"
          size="lg"
          :avatar="userAvatar"
          :firstname="'Orange'"
          :lastname="'Verte'"
        />
      </div>
    </template>
  </svn-navbar>
</template>

<script setup>
import {Icon} from "@iconify/vue";
import SvnIconButton from "../button/SvnIconButton.vue";
import SvnAvatar from "../avatar/SvnAvatar.vue";
import SvnNavbar from "@/components/navbar/SvnNavbar.vue";
import SvnNavbarMenu from "@/components/navbar/SvnNavbarMenu.vue";

const props = defineProps({
  items: {
    type: Array,
    default: () => []
  },
  userAvatar: {
    type: String,
    default: ''
  },
  companyLogo: {
    type: String,
    default: null
  }
})
</script>

<style scoped>

</style>